group "MutualOrOptionalEarlyTermination.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 5 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
mutualEarlyTermination? | (optionalEarlyTermination?, breakFundingRecovery?, (breakFeeElection?, breakFeeRate?)?)

Content Model Elements (5):

  breakFeeElection,
  breakFeeRate,
  breakFundingRecovery,
  mutualEarlyTermination,
  optionalEarlyTermination (in equitySwapTransactionSupplement)

Known Usage Locations

- In definitions of global complexTypes (1):
  EquitySwapTransactionSupplement

XML Source (w/o annotations (4); see within schema source)

<xsd:group name="MutualOrOptionalEarlyTermination.model"> <xsd:choice> <xsd:element minOccurs="0" name="mutualEarlyTermination" type="xsd:boolean"/> <xsd:sequence> <xsd:element minOccurs="0" name="optionalEarlyTermination" type="xsd:boolean"/> <xsd:element minOccurs="0" name="breakFundingRecovery" type="xsd:boolean"/> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="breakFeeElection" type="FeeElectionEnum"/> <xsd:element minOccurs="0" name="breakFeeRate" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:sequence> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 5/5)
breakFeeElection

  Type: | FeeElectionEnum, simple content

  Defines the fee type.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "FlatFee" | - | The product of (i) the Break Fee Rate multiplied by (ii) the Equity Notional Amount corresponding to the Early Termination Portion. See: http://www.FpML.org
  "AmortizedFee" | - | The product of (i) the Break Fee Rate multiplied by (ii) the Equity Notional Amount corresponding to the Early Termination Portion multiplied by (iii) the number of days from the Early Termination Date to the later of the Termination Date or the Cash Settlement Payment Date corresponding to the latest Valuation Date. See: http://www.FpML.org
  "FundingFee" | - | The product of (i) the Equity Notional Amount corresponding to the Early Termination Portion multiplied by (ii) the Break Funding Rate multiplied by (iii) the number of days from the Early Termination Date to the next scheduled Reset Date divided by (iv) a number equivalent to the denominator of the Day Count Fraction applicable to the Floating Rate Option. See: http://www.FpML.org
  "FlatFeeAndFundingFee" | - | Both Flat Fee and Funding Fee are applicable. See: http://www.FpML.org
  "AmortizedFeeAndFundingFee" | - | Amortized Fee and Funding Fee are applicable. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="breakFeeElection" type="FeeElectionEnum"/>

breakFeeRate

  Type: | NonNegativeDecimal, simple content

  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="breakFeeRate" type="NonNegativeDecimal"/>

breakFundingRecovery

  Type: | xsd:boolean, predefined, simple content

  A Boolean element used for specifying whether the Break Funding Recovery detailed in the agreement will apply.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="breakFundingRecovery" type="xsd:boolean"/>

mutualEarlyTermination

  Type: | xsd:boolean, predefined, simple content

  Used for specifying whether the Mutual Early Termination Right that is detailed in the Master Confirmation will apply.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="mutualEarlyTermination" type="xsd:boolean"/>

optionalEarlyTermination

  Type: | xsd:boolean, predefined, simple content

  A Boolean element used for specifying whether the Optional Early Termination clause detailed in the agreement will apply.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionalEarlyTermination" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.